commit:     8f5a73d9c76d759b31d39bf90e1a4ff33e492a1a
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  8 01:21:42 2021 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Mon Feb  8 01:21:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f5a73d9

sci-mathematics/lrcalc: new version 2.0.

The upstream release in VCS was a patch bomb, so I've updated the
subslot as a precaution. Something probably broke.

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sci-mathematics/lrcalc/Manifest          |  1 +
 sci-mathematics/lrcalc/lrcalc-2.0.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 24 insertions(+)

diff --git a/sci-mathematics/lrcalc/Manifest b/sci-mathematics/lrcalc/Manifest
index b678d834147..35f1de38102 100644
--- a/sci-mathematics/lrcalc/Manifest
+++ b/sci-mathematics/lrcalc/Manifest
@@ -1 +1,2 @@
 DIST lrcalc-1.2.tar.gz 363120 BLAKE2B 
d3f652abfe38e81331dcbac7068d087b198445bf02dc5ccb5bcbd76b9bbc329687209e6ccf40ecd09f166e7d2da054edd0e5c2b18503d8e4d961ae4ad91b5152
 SHA512 
699f4c2ddabe5879542d5c11f3df3979a4e009ad37741711a70fb48b4a0d4a7969e5bb110adb63d4473f3c2b61d1efdb7228a6b74c5dd7e1b5aea8cf1d170fab
+DIST lrcalc-2.0.tar.gz 420728 BLAKE2B 
4d14276cf04cb1655d74bf9b85e12379034f43232db9b1a77db8ca4a508e5b490845fe44f4cfd533990bc567e51e817ca82aa917fce40517b8c8c9fc7dd2b4d3
 SHA512 
9224d1be971f53c0428f6f9a25850a892596175a6b5d6ca90b06abed00a72998b54fdfcd2be62318af142595f752b3a9ccc2efc1816ba7ce3ae59ecb43c49f81

diff --git a/sci-mathematics/lrcalc/lrcalc-2.0.ebuild 
b/sci-mathematics/lrcalc/lrcalc-2.0.ebuild
new file mode 100644
index 00000000000..194251793e7
--- /dev/null
+++ b/sci-mathematics/lrcalc/lrcalc-2.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Littlewood-Richardson Calculator"
+HOMEPAGE="https://sites.math.rutgers.edu/~asbuch/lrcalc/";
+SRC_URI="https://sites.math.rutgers.edu/~asbuch/lrcalc/${P}.tar.gz";
+
+LICENSE="GPL-3+"
+SLOT="0/2"
+KEYWORDS="~amd64 ~x86 ~ppc-macos ~x64-macos"
+IUSE="static-libs test"
+RESTRICT="!test? ( test )"
+
+src_configure() {
+       econf $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to